GuidesAPI Reference
API Reference

Gets all aliases

Gets all aliases of a project.

If type query parameter is provided, the response will contain only aliases of the given type.

If externalId query parameter is specified, the response will contain only aliases that match the given external ID. The following wildcards can be used: '*' matches any number of any characters, '?' matches a single character.

If after query parameter is provided, the successful response will only contain aliases that were created after the specified timestamp. Parameters after and pageToken are mutually exclusive and cannot be provided at the same time.

The returned results are sorted in ascending order by the alias creation time.

Query Params
string

A token from the previously returned response to retrieve the specified page.

integer
1 to 100
Defaults to 100

The number of items to return per page.

number
≥ 0

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

string
length between 1 and 50

Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

string
length between 1 and 50

An alias type

string
length between 1 and 50

Filter for aliases external IDs

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json